CorebanqCorebanq Developer Docs
Invoicesv2OCR

Poll OCR job status (v2)

Returns the current status of a v2 OCR job. When status=200 the result, counterparty_match, counterparty_id, cp_account_id, upload_id, and transfer_id fields are populated.

GET/v2/invoices/ocr/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Job UUID returned by POST /v2/invoices/ocr

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v2/invoices/ocr/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",
  "status": 202,
  "upload_id": "f2ef591b-135b-46fa-a604-3d4fda5bfbfb",
  "transfer_id": "d4a2d8dd-7def-4545-a062-761683b9aa05",
  "recipient_match": "found",
  "counterparty_match": "found",
  "counterparty_id": "fd38dae9-b300-4017-a630-101c4279eafd",
  "cp_account_id": "eb064395-4075-439f-a7b1-d660c0883425",
  "result": {
    "total": "string",
    "customer_name": "string",
    "customer_email": "string",
    "currency_code": "string",
    "currency_symbol": "string",
    "due_date": "string",
    "subtotal": "string",
    "sales_tax_percentage": "string",
    "sales_tax_amount": "string",
    "invoice_number": "string",
    "reference": "string",
    "bic": "string",
    "iban": "string"
  },
  "recipient": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "legal_name": "string",
    "email": "string",
    "iban": "string",
    "bic": "string",
    "type": "individual",
    "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",
    "address": {
      "street": "string",
      "city": "string",
      "zip": "string",
      "country": "string",
      "state": "string"
    },
    "created_at": "2019-08-24T14:15:22Z"
  },
  "transaction_id": "0fec1e58-b197-4052-99cf-2218496c5482",
  "message": "string"
}
{
  "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",
  "status": 202,
  "upload_id": "f2ef591b-135b-46fa-a604-3d4fda5bfbfb",
  "transfer_id": "d4a2d8dd-7def-4545-a062-761683b9aa05",
  "recipient_match": "found",
  "counterparty_match": "found",
  "counterparty_id": "fd38dae9-b300-4017-a630-101c4279eafd",
  "cp_account_id": "eb064395-4075-439f-a7b1-d660c0883425",
  "result": {
    "total": "string",
    "customer_name": "string",
    "customer_email": "string",
    "currency_code": "string",
    "currency_symbol": "string",
    "due_date": "string",
    "subtotal": "string",
    "sales_tax_percentage": "string",
    "sales_tax_amount": "string",
    "invoice_number": "string",
    "reference": "string",
    "bic": "string",
    "iban": "string"
  },
  "recipient": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "legal_name": "string",
    "email": "string",
    "iban": "string",
    "bic": "string",
    "type": "individual",
    "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",
    "address": {
      "street": "string",
      "city": "string",
      "zip": "string",
      "country": "string",
      "state": "string"
    },
    "created_at": "2019-08-24T14:15:22Z"
  },
  "transaction_id": "0fec1e58-b197-4052-99cf-2218496c5482",
  "message": "string"
}
Empty
Empty
Empty
{
  "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",
  "status": 202,
  "upload_id": "f2ef591b-135b-46fa-a604-3d4fda5bfbfb",
  "transfer_id": "d4a2d8dd-7def-4545-a062-761683b9aa05",
  "recipient_match": "found",
  "counterparty_match": "found",
  "counterparty_id": "fd38dae9-b300-4017-a630-101c4279eafd",
  "cp_account_id": "eb064395-4075-439f-a7b1-d660c0883425",
  "result": {
    "total": "string",
    "customer_name": "string",
    "customer_email": "string",
    "currency_code": "string",
    "currency_symbol": "string",
    "due_date": "string",
    "subtotal": "string",
    "sales_tax_percentage": "string",
    "sales_tax_amount": "string",
    "invoice_number": "string",
    "reference": "string",
    "bic": "string",
    "iban": "string"
  },
  "recipient": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "legal_name": "string",
    "email": "string",
    "iban": "string",
    "bic": "string",
    "type": "individual",
    "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",
    "address": {
      "street": "string",
      "city": "string",
      "zip": "string",
      "country": "string",
      "state": "string"
    },
    "created_at": "2019-08-24T14:15:22Z"
  },
  "transaction_id": "0fec1e58-b197-4052-99cf-2218496c5482",
  "message": "string"
}